-- Copyright 1999-2016. Parallels IP Holdings GmbH. All Rights Reserved.
INSERT INTO `IisAppPoolDomains` (`domainId`, `poolId`)
    SELECT d.id, wp.poolId
    FROM `domains` d
    JOIN `IisAppPoolDomains` wp ON d.webspace_id = wp.domainId
    LEFT JOIN `IisAppPoolDomains` p ON d.id = p.domainId
    WHERE d.webspace_id <> 0 AND d.htype <> 'none' AND p.poolId IS NULL;

CREATE TABLE IF NOT EXISTS `BlUpgrades` (
	`id`	varchar(255) NOT NULL
,	`status`	enum('new', 'fatal', 'optional', 'success') NOT NULL DEFAULT 'new'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `BlUpgradeActions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`action`	varchar(255) NOT NULL
,	`status`	enum('new', 'error', 'skip', 'success') NOT NULL DEFAULT 'new'
,	`message`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;